ch.qos.logback.core.rolling.helper

## Class SizeAndTimeBasedArchiveRemover

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.rolling.helper.DefaultArchiveRemover
    - - ch.qos.logback.core.rolling.helper.SizeAndTimeBasedArchiveRemover

All Implemented Interfaces:
  ArchiveRemover, ContextAware

    public class SizeAndTimeBasedArchiveRemover
    extends DefaultArchiveRemover

### Field Summary

### Fields inherited from class ch.qos.logback.core.rolling.helper.DefaultArchiveRemover

`INACTIVITY_TOLERANCE_IN_MILLIS, UNINITIALIZED`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`SizeAndTimeBasedArchiveRemover(FileNamePattern fileNamePattern, RollingCalendar rc)`

### Method Summary

Methods
`void` `cleanByPeriodOffset(java.util.Date now, int periodOffset)`

### Methods inherited from class ch.qos.logback.core.rolling.helper.DefaultArchiveRemover

`clean, setMaxHistory`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### SizeAndTimeBasedArchiveRemover

    public SizeAndTimeBasedArchiveRemover(FileNamePattern fileNamePattern,
                                  RollingCalendar rc)

### Method Detail

#### cleanByPeriodOffset

    public void cleanByPeriodOffset(java.util.Date now,
                           int periodOffset)